5.3.0-git
2014-09-03

[#8848] a Listing of Groups in the account Block would be nice
Summary a Listing of Groups in the account Block would be nice
Queue Horde Base
Queue Version Git master
Type Enhancement
State Accepted
Priority 1. Low
Owners
Requester Klaus.Steinberger (at) physik (dot) uni-muenchen (dot) de
Created 2010-02-02 (1674 days ago)
Due
Updated 2011-06-02 (1189 days ago)
Assigned
Resolved
Milestone
Patch No

History
2011-06-02 21:34:29 Git Commit Comment #3 Reply to this comment
Changes have been made in Git for this ticket:

Don't strip domain, cast params to array (Bug #8848).

  3 files changed, 8 insertions(+), 4 deletions(-)
http://git.horde.org/horde-git/-/commit/a13466fc882f2f68aed3cd66dd8222836c611791
2011-05-25 15:35:55 michael (dot) groene (at) zel (dot) uni-hannover (dot) de Comment #2 Reply to this comment
It would be nice if the "My Account Information" Block would also 
list the groups a user belong to. I starting point for a patch is 
appended to this request. It works, but misses the localization, and 
could be done probably nicer. It list first the number of groups a 
user belongs to, and then line for line the groups.
I would really like this feature, too.

In /lib/Block/Account/Base.php, group data could be read from backend 
specified in $conf[group][driver], as suggested in the patch.

Further I found a little bug in lib/Block/Account.php:34
$params = array_merge(
             $conf['accounts']['params'],
             array('user' => $registry->getAuth('bare')));

I had changed the line to the following, because 
var_dump($conf['accounts']['params']) gives NULL, when not set and 
makes array_merge not to work:
         $params = array_merge(
             (array)$conf['accounts']['params'],
             array('user' => $registry->getAuth()));

Further I removed 'bare', because it cutted of the domain-part of the 
mailaddress.
2011-03-13 03:29:52 Chuck Hagenbuch Patch ⇒ No
State ⇒ Accepted
 
2010-02-02 16:38:25 Chuck Hagenbuch Version ⇒ Git master
Queue ⇒ Horde Base
 
2010-02-02 16:38:12 Chuck Hagenbuch Summary ⇒ a Listing of Groups in the account Block would be nice
 
2010-02-02 14:44:49 Klaus (dot) Steinberger (at) physik (dot) uni-muenchen (dot) de Comment #1
State ⇒ New
New Attachment: groups.patch Download
Patch ⇒ Yes
Milestone ⇒
Queue ⇒ Horde Groupware
Summary ⇒ a Listing of Groups in the accoun Block would be nice
Type ⇒ Enhancement
Priority ⇒ 1. Low
Reply to this comment
It would be nice if the "My Account Information" Block would also list 
the groups a user belong to. I starting point for a patch is appended 
to this request. It works, but misses the localization, and could be 
done probably nicer. It list first the number of groups a user belongs 
to, and then line for line the groups.